diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 30645fc4a0..61d6c32fb6 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -146,106 +146,188 @@
 (define-module (gnu packages python-xyz)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
-  #:use-module (gnu packages algebra)
-  #:use-module (gnu packages adns)
-  #:use-module (gnu packages aidc)
-  #:use-module (gnu packages attr)
-  #:use-module (gnu packages backup)
-  #:use-module (gnu packages bash)
-  #:use-module (gnu packages check)
-  #:use-module (gnu packages cmake)
-  #:use-module (gnu packages compression)
-  #:use-module (gnu packages crypto)
-  #:use-module (gnu packages databases)
-  #:use-module (gnu packages dbm)
-  #:use-module (gnu packages django)
-  #:use-module (gnu packages djvu)
-  #:use-module (gnu packages docker)
-  #:use-module (gnu packages documentation)
-  #:use-module (gnu packages enchant)
-  #:use-module (gnu packages file)
-  #:use-module (gnu packages fontutils)
-  #:use-module (gnu packages fonts)
-  #:use-module (gnu packages freedesktop)
-  #:use-module (gnu packages gdb)
-  #:use-module (gnu packages gcc)
-  #:use-module (gnu packages geo)
-  #:use-module (gnu packages ghostscript)
-  #:use-module (gnu packages gl)
-  #:use-module (gnu packages glib)
-  #:use-module (gnu packages gnome)
-  #:use-module (gnu packages gnupg)
-  #:use-module (gnu packages graphviz)
-  #:use-module (gnu packages graphics)
-  #:use-module (gnu packages gsasl)
-  #:use-module (gnu packages gstreamer)
-  #:use-module (gnu packages gtk)
-  #:use-module (gnu packages haskell-xyz)
-  #:use-module (gnu packages icu4c)
-  #:use-module (gnu packages inkscape)
-  #:use-module (gnu packages image)
-  #:use-module (gnu packages image-processing)
-  #:use-module (gnu packages imagemagick)
-  #:use-module (gnu packages jupyter)
-  #:use-module (gnu packages kerberos)
-  #:use-module (gnu packages libevent)
-  #:use-module (gnu packages libffi)
-  #:use-module (gnu packages libidn)
-  #:use-module (gnu packages libusb)
-  #:use-module (gnu packages linux)
-  #:use-module (gnu packages llvm)
-  #:use-module (gnu packages man)
-  #:use-module (gnu packages markup)
-  #:use-module (gnu packages maths)
-  #:use-module (gnu packages monitoring)
-  #:use-module (gnu packages multiprecision)
-  #:use-module (gnu packages networking)
-  #:use-module (gnu packages ncurses)
-  #:use-module (gnu packages node)
-  #:use-module (gnu packages ninja)
-  #:use-module (gnu packages openstack)
-  #:use-module (gnu packages pcre)
-  #:use-module (gnu packages pdf)
-  #:use-module (gnu packages perl)
-  #:use-module (gnu packages photo)
-  #:use-module (gnu packages pkg-config)
-  #:use-module (gnu packages protobuf)
-  #:use-module (gnu packages python)
-  #:use-module (gnu packages python-build)
-  #:use-module (gnu packages python-check)
-  #:use-module (gnu packages python-compression)
-  #:use-module (gnu packages python-crypto)
-  #:use-module (gnu packages python-science)
-  #:use-module (gnu packages python-web)
-  #:use-module (gnu packages qt)
-  #:use-module (gnu packages rdf)
-  #:use-module (gnu packages readline)
-  #:use-module (gnu packages regex)
-  #:use-module (gnu packages sdl)
-  #:use-module (gnu packages scanner)
-  #:use-module (gnu packages search)
-  #:use-module (gnu packages serialization)
-  #:use-module (gnu packages shells)
-  #:use-module (gnu packages sphinx)
-  #:use-module (gnu packages ssh)
-  #:use-module (gnu packages swig)
-  #:use-module (gnu packages terminals)
-  #:use-module (gnu packages tex)
-  #:use-module (gnu packages texinfo)
-  #:use-module (gnu packages textutils)
-  #:use-module (gnu packages time)
-  #:use-module (gnu packages tls)
-  #:use-module (gnu packages version-control)
-  #:use-module (gnu packages video)
-  #:use-module (gnu packages web)
-  #:use-module (gnu packages wxwidgets)
-  #:use-module (gnu packages base)
-  #:use-module (gnu packages xml)
-  #:use-module (gnu packages xorg)
-  #:use-module (gnu packages xdisorg)
-  #:use-module (gnu packages tcl)
-  #:use-module (gnu packages bdw-gc)
-  #:use-module (gnu packages serialization)
+  #:autoload (gnu packages algebra) (eigen pari-gp symengine)
+  #:autoload (gnu packages adns) (c-ares)
+  #:autoload (gnu packages aidc) (zbar)
+  #:autoload (gnu packages attr) (attr)
+  #:autoload (gnu packages bash) (bash bash-minimal)
+  #:autoload (gnu packages backup) (libarchive)
+  #:autoload (gnu packages check)
+  (catch-framework2-1
+   check python-codecov python-coverage python-coverage-test-runner
+   python-fixtures python-fixtures-bootstrap python-flaky python-flexmock
+   python-freezegun python-hypothesis python-hypothesis-next
+   python-hypothesmith python-mock python-nose python-nose-random python-nose2
+   python-nosexcover python-parameterized python-pyfakefs python-pyhamcrest
+   python-pylint python-pytest python-pytest-6 python-pytest-asyncio
+   python-pytest-bootstrap python-pytest-cache python-pytest-catchlog
+   python-pytest-cov python-pytest-dependency python-pytest-enabler
+   python-pytest-enabler-bootstrap python-pytest-flakes python-pytest-forked
+   python-pytest-freezegun python-pytest-lazy-fixture python-pytest-localserver
+   python-pytest-mock python-pytest-mypy python-pytest-pep8 python-pytest-runner
+   python-pytest-sugar python-pytest-timeout python-pytest-xdist
+   python-pytest-xprocess python-rednose python-testpath python-testrepository
+   python-testrepository-bootstrap python-testresources-bootstrap
+   python-testscenarios python-testscenarios-bootstrap python-testtools
+   python-testtools-bootstrap python-unittest2)
+  #:autoload (gnu packages cmake) (cmake cmake-minimal)
+  #:use-module (gnu packages compression) ; required by "guix build -d guix"
+  #:autoload (gnu packages databases)
+  (memcached
+   postgresql python-fakeredis python-pickleshare python-redis
+   python-sqlalchemy python-sqlalchemy-utils python-sqlparse)
+  #:autoload (gnu packages dbm) (bdb)
+  #:autoload (gnu packages django) (python-django python-pytest-django)
+  #:autoload (gnu packages djvu) (djvulibre)
+  #:autoload (gnu packages docker) (python-docker tini)
+  #:autoload (gnu packages documentation) (python-docrepr)
+  #:autoload (gnu packages enchant) (python-pyenchant)
+  #:use-module (gnu packages file) ; required by "guix build -d guix"
+  #:autoload (gnu packages fontutils) (fontconfig fontforge freetype libraqm)
+  #:autoload (gnu packages fonts) (font-gnu-freefont)
+  #:autoload (gnu packages freedesktop) (libappindicator python-pyxdg)
+  #:autoload (gnu packages gdb) (gdb)
+  #:autoload (gnu packages gcc) (gfortran)
+  #:autoload (gnu packages geo) (geos)
+  #:autoload (gnu packages ghostscript) (ghostscript lcms)
+  #:autoload (gnu packages gl) (freeglut glew glu mesa)
+  #:autoload (gnu packages glib)
+  (dbus dbus-glib glib gobject-introspection python-pygobject)
+  #:autoload (gnu packages gnome)
+  (gsettings-desktop-schemas libnotify python-pyatspi zenity)
+  #:autoload (gnu packages gnupg) (gnupg python-gpg)
+  #:autoload (gnu packages graphics) (coin3D-4 python-pastel)
+  #:autoload (gnu packages graphviz) (graphviz python-graphviz python-pydot)
+  #:autoload (gnu packages gstreamer) (gstreamer)
+  #:autoload (gnu packages gtk)
+  (cairo gdk-pixbuf gtk+ gtksourceview-3 python-pycairo)
+  #:autoload (gnu packages haskell-xyz) (pandoc)
+  #:autoload (gnu packages icu4c) (icu4c)
+  #:autoload (gnu packages inkscape) (inkscape/stable)
+  #:autoload (gnu packages image)
+  (giflib libimagequant libjpeg-turbo libpng libtiff libwebp openjpeg)
+  #:autoload (gnu packages image-processing) (vips)
+  #:autoload (gnu packages imagemagick) (imagemagick)
+  #:autoload (gnu packages jupyter)
+  (python-jupyterlab-pygments python-jupyterlab-widgets python-nbclient)
+  #:autoload (gnu packages kerberos) (mit-krb5)
+  #:autoload (gnu packages libevent) (libev)
+  #:autoload (gnu packages libffi) (python-cffi)
+  #:autoload (gnu packages libidn) (libidn)
+  #:autoload (gnu packages libusb) (libusb)
+  #:autoload (gnu packages linux)
+  (alsa-lib fuse fuse-3 iproute procps wireless-tools)
+  #:autoload (gnu packages llvm) (python-llvmlite)
+  #:autoload (gnu packages man) (man-db)
+  #:autoload (gnu packages markup) (md4c python-cmarkgfm)
+  #:autoload (gnu packages maths)
+  (double-conversion hdf4 hdf5 hdf5-1.10 netcdf openblas python-kiwisolver
+                     qhull)
+  #:autoload (gnu packages monitoring) (python-prometheus-client)
+  #:autoload (gnu packages multiprecision) (mpfr)
+  #:autoload (gnu packages networking) (librdkafka zeromq)
+  #:autoload (gnu packages ncurses) (dialog ncurses)
+  #:autoload (gnu packages node) (node-lts)
+  #:autoload (gnu packages ninja) (ninja)
+  #:autoload (gnu packages openstack) (python-os-testr python-stevedore)
+  #:autoload (gnu packages pdf) (poppler qpdf)
+  #:autoload (gnu packages perl) (perl)
+  #:autoload (gnu packages photo) (libgphoto2 libraw)
+  #:autoload (gnu packages pkg-config) (pkg-config)
+  #:autoload (gnu packages protobuf) (python-protobuf)
+  #:autoload (gnu packages python) (python python-2 python-wrapper)
+  #:use-module (gnu packages python-build) ; required by "guix build -d guix"
+  #:autoload (gnu packages python-check)
+  (python-allpairspy
+   python-atpublic python-covdefaults python-coveralls python-mypy
+   python-mypy-extensions python-nbval python-pylama python-pytest-aiohttp
+   python-pytest-astropy python-pytest-benchmark python-pytest-celery
+   python-pytest-checkdocs python-pytest-flake8 python-pytest-isort
+   python-pytest-mockito python-pytest-qt python-pytest-rerunfailures
+   python-pytest-subtests python-pytest-toolbox python-pytest-tornado
+   python-pytest-trio python-pytest-virtualenv python-testfixtures)
+  #:autoload (gnu packages python-compression)
+  (python-lz4 python-zipp python-zopfli)
+  #:autoload (gnu packages python-crypto)
+  (python-paramiko
+   python-cryptography python-pynacl python-ecdsa python-certifi
+   python-kerberos python-pyopenssl python-argon2-cffi python-keyring
+   python-pycrypto python-trustme python-service-identity python-josepy
+   python-pyaes)
+  #:autoload (gnu packages python-web)
+  (python-aiodns
+   python-aiohttp python-aws-xray-sdk python-branca python-cachecontrol
+   python-cfn-lint python-cssselect python-cssselect2 python-flask
+   python-flask-cors python-flask-restful python-genshi python-geventhttpclient
+   python-gitlab python-html5lib python-hyperlink python-jose python-parsel
+   python-pyowm python-requests python-requests-mock python-requests-oauthlib
+   python-requests-toolbelt python-requests-unixsocket python-requests_ntlm
+   python-responses python-s3transfer python-selenium python-slugify
+   python-smart-open python-terminado python-tinycss python-tinycss2
+   python-tornado python-tornado-6 python-translation-finder python-treq
+   python-urllib3 python-uvloop python-w3lib python-webencodings python-webob
+   python-webtest python-werkzeug python-wsproto python-zope-event
+   python-zope-interface)
+  #:autoload (gnu packages python-science) (python-pandas python-scipy)
+  #:autoload (gnu packages qt)
+  (python-pyqt
+   python-pyqt-without-qtwebkit python-pyqt+qscintilla python-qtpy qtbase-5
+   qttools-5 soqt)
+  #:autoload (gnu packages rdf) (python-rdflib-5)
+  #:autoload (gnu packages readline) (readline)
+  #:autoload (gnu packages regex) (re2)
+  #:autoload (gnu packages sdl)
+  (sdl2 sdl2-gfx sdl2-image sdl2-mixer sdl2-ttf sdl-union)
+  #:autoload (gnu packages scanner) (sane-backends)
+  #:autoload (gnu packages serialization) (#;python-breathe)
+  #:autoload (gnu packages shells) (fish tcsh)
+  #:autoload (gnu packages sphinx)
+  (python-breathe
+   python-mpl-sphinx-theme python-pydata-sphinx-theme python-sphinx
+   python-sphinx-argparse python-sphinx-autodoc-typehints
+   python-sphinx-copybutton python-sphinx-gallery python-sphinx-panels
+   python-sphinx-rtd-theme python-sphinxcontrib-github-alt
+   python-sphinxcontrib-svg2pdfconverter)
+  #:autoload (gnu packages ssh) (openssh)
+  #:autoload (gnu packages swig) (swig)
+  #:autoload (gnu packages terminals) (python-curtsies)
+  #:autoload (gnu packages tex)
+  (texlive-adjustbox
+   texlive-amsfonts texlive-amsmath texlive-babel texlive-bin texlive-booktabs
+   texlive-caption texlive-cbfonts texlive-cm-super texlive-enumitem
+   texlive-etoolbox texlive-eurosym texlive-fonts-ec texlive-fonts-rsfs
+   texlive-fontspec texlive-generic-iftex texlive-greek-fontenc texlive-grffile
+   texlive-hyperref texlive-jknappen texlive-latex-expdlist
+   texlive-latex-fancyvrb texlive-latex-float texlive-latex-geometry
+   texlive-latex-jknapltx texlive-latex-ms texlive-latex-parskip
+   texlive-latex-trimspaces texlive-latex-type1cm texlive-latex-ucs
+   texlive-latex-upquote texlive-lm texlive-lm-math texlive-mathpazo
+   texlive-oberdiek texlive-polyglossia texlive-stringenc texlive-tcolorbox
+   texlive-times texlive-titling texlive-tools texlive-ulem texlive-underscore
+   texlive-unicode-math texlive-updmap.cfg texlive-xcolor texlive-xindy
+   texlive-zapfding)
+  #:autoload (gnu packages texinfo) (texinfo)
+  #:autoload (gnu packages textutils) (python-editdistance python-pandocfilters)
+  #:autoload (gnu packages time)
+  (python-aniso8601 python-arrow python-dateutil python-iso8601
+                    python-monotonic python-pytz python-tzlocal)
+  #:autoload (gnu packages tls) (python-acme)
+  #:autoload (gnu packages version-control)
+  (git git-minimal libgit2 python-ghp-import python-gitpython)
+  #:autoload (gnu packages video) (ffmpeg libmediainfo youtube-dl)
+  #:autoload (gnu packages web)
+  (jq libsass libyajl python-httpretty tidy)
+  #:autoload (gnu packages wxwidgets) (python-wxpython)
+  #:autoload (gnu packages base) (coreutils which tzdata-for-tests)
+  #:autoload (gnu packages xml)
+  (python-defusedxml python-lxml python-untangle python-xmlschema
+                     python-xmltodict)
+  #:autoload (gnu packages xorg)
+  (libice libx11 libxcb libxext libxi libxtst xorg-server xorg-server-for-tests
+          xvfb-run)
+  #:autoload (gnu packages xdisorg) (python-pyperclip scrot wmctrl xdotool)
+  #:autoload (gnu packages tcl) (tcl tk)
+  #:autoload (gnu packages serialization) (libyaml python-ruamel.yaml)
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix gexp)