diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index a7688050e1..10908f185f 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -37071,7 +37071,7 @@ (define-public python-bsdiff4
 (define-public python-mpv
   (package
     (name "python-mpv")
-    (version "1.0.1")
+    (version "1.0.7")
     (source
      (origin
        ;; python-mpv from pypi does not include the tests directory.
@@ -37081,43 +37081,37 @@ (define-public python-mpv
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32
-         "10w6j3n62ap45sf6q487kz8z6g58sha37i14fa2hhng794z7a8jh"))
-       (modules '((guix build utils)))
-       (snippet
-        #~(begin
-            ;; One of the tests never completes, so neutering it using
-            ;; early return allows other test to run without issue.
-            (substitute* "tests/test_mpv.py"
-              ;; Note the typo in "prooperty" - this was fixed later in
-              ;; upstream but has no effect on whether the tests hangs or not.
-              (("test_wait_for_prooperty_event_overflow.*" line)
-               ;; The long whitespace between \n and return is to match the
-               ;; identation level, which is significant in python.
-               (string-append line "\n        return\n")))))))
-    (build-system python-build-system)
+        (base32 "102fajzrcgxapsanh0phlqmk9q2v95bvix6mrkg8rypv717idins"))
+       (modules '((guix build utils)))))
+    (build-system pyproject-build-system)
     (arguments
-     (list #:phases
-           #~(modify-phases %standard-phases
-               (add-before 'build 'patch-reference-to-mpv
-                 (lambda* (#:key inputs #:allow-other-keys)
-                   ;; Without an absolute path it is not able find and
-                   ;; load the libmpv library.
-                   (substitute* "mpv.py"
-                     (("sofile = .*")
-                      (string-append "sofile = \""
-                                     (search-input-file inputs "/lib/libmpv.so")
-                                     "\"\n")))))
-               (add-before 'check 'prepare-for-tests
-                 (lambda _
-                   ;; Fontconfig throws errors when it has no cache dir to use.
-                   (setenv "XDG_CACHE_HOME" (getcwd))
-                   ;; Some tests fail without a writable and readable HOME.
-                   (setenv "HOME" (getcwd)))))))
-    (native-inputs
-     (list python-xvfbwrapper)) ; needed for tests only
+     (list
+      #:phases #~(modify-phases %standard-phases
+                   (add-before 'build 'patch-reference-to-mpv
+                     (lambda* (#:key inputs #:allow-other-keys)
+                       ;; Without an absolute path it is not able find and
+                       ;; load the libmpv library.
+                       (substitute* "mpv.py"
+                         (("sofile = .*")
+                          (string-append "sofile = \""
+                                         (search-input-file inputs
+                                                            "/lib/libmpv.so")
+                                         "\"\n")))))
+                   (add-before 'check 'prepare-for-tests
+                     (lambda _
+                       ;; Fontconfig throws errors when it has no cache dir to use.
+                       (setenv "XDG_CACHE_HOME"
+                               (getcwd))
+                       ;; Some tests fail without a writable and readable HOME.
+                       (setenv "HOME"
+                               (getcwd))
+                       (setenv "PY_MPV_SKIP_TESTS"
+                               "test_wait_for_property_event_overflow"))))))
+    (native-inputs (list
+                    ;; needed for tests
+                    python-pyvirtualdisplay python-xvfbwrapper python-pytest))
     (inputs (list mpv))
-    (propagated-inputs (list python-pillow)) ; for raw screenshots
+    (propagated-inputs (list python-pillow)) ;for raw screenshots
     (home-page "https://github.com/jaseg/python-mpv")
     (synopsis "Python interface to the mpv media player")
     (description
@@ -37125,9 +37119,9 @@ (define-public python-mpv
 It gives you more or less full control of all features of the player, just
 as the lua interface does.")
     ;; From the project's README:
-    ;;  python-mpv inherits the underlying libmpv's license, which can be either
-    ;;  GPLv2 or later (default) or LGPLv2.1 or later.  For details, see the mpv
-    ;;  copyright page.
+    ;; python-mpv inherits the underlying libmpv's license, which can be either
+    ;; GPLv2 or later (default) or LGPLv2.1 or later.  For details, see the mpv
+    ;; copyright page.
     (license license:gpl2+)))
 
 (define-public python-biblib